package com.datavirtuality.dv.core.interfaces;

/**
 * @author Dmitry Pogorelov
 * @date 2023.06.13
 */
public enum DVCache {
	OPTION_CACHE("dv-option-cache"),
	VDB_ID_CACHE("dv-vdbid-cache"),
	CONNECTION_STATE_CACHE("dv-connection-state-cache"),
	CONNECTION_MODEL_NODE_CACHE("dv-connection-model-node-cache"),
	SCHEDULER_JOB_RUNNING_COUNT("dv-scheduler-job-running-count");

	private String cacheName;

	DVCache(String cacheName) {
		this.cacheName = cacheName;
	}

	public String getCacheName() {
		return cacheName;
	}
}
